Bug 205355 - No BuildRequire for libX11-devel.
No BuildRequire for libX11-devel.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 05:51 EDT by Rob Andrews
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.2.1-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 14:43:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Andrews 2006-09-06 05:51:18 EDT
Description of problem:
spec does not BuildRequire libX11-devel.
(I gather this breaks building with 'mock')

Version-Release number of selected component (if applicable):
freetype-2.2.1-8

How reproducible:
Always.

Steps to Reproduce:
1. Fetch srpm
2. rpmbuild --rebuild <rpmfilename> without libX11-devel installed
3. Wait until build fails to find X11 headers.
  
Actual results:
Build stops when it requires certain X11 headers.

Expected results:
Build should be clean.
Comment 1 Behdad Esfahbod 2006-09-07 14:43:25 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.